/* Permiso para editar masivamente contactos en la sucursal */
declare @licencia1 as varchar(100)
set @licencia1 =(SELECT uid FROM [seg_usuario] where id=1)
declare @id_permisoaccion1 as int
declare @id_funcionalidad_padre1 as int
set @id_funcionalidad_padre1  = (select top 1 id from gui_funcionalidad where nombreControl = 'ter_contacto' and id_tipoFuncionalidad = 3 and id_funcionalidad in (select id from gui_funcionalidad where id_tipoFuncionalidad = 6 and id_funcionalidad=93 and active=1) and active=1)
if not exists (select * from gui_funcionalidad  where nombreComando = 'ter_actMasiva' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre1)
begin 
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@licencia1,'01',1,1,getdate(),getdate(),1,'Actualización masiva','','','','','','',0,'ter_actMasiva','ter_actMasiva',0,@id_funcionalidad_padre1,5) 
end

-- ASIGNACION DEL PERMISOS, TODOS LOS PERFILES

set @id_permisoaccion1 = (select top 1 id from gui_funcionalidad  where nombreComando = 'ter_actMasiva' and id_tipoFuncionalidad = 5 and active = 1 and id_funcionalidad =  @id_funcionalidad_padre1) 
  if not exists( select * from seg_perfil_funcionalidad where id_funcionalidad =  @id_permisoaccion1) 

begin 
     INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
     select  
     @licencia1,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     id,
     @id_permisoaccion1 
     from seg_perfil 
     end